HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Developers' Forum (http://www.howtoforge.com/forums/forumdisplay.php?f=18)
-   -   PHP 5.2.8 release (http://www.howtoforge.com/forums/showthread.php?t=29389)

sebathi 10th December 2008 05:35

PHP 5.2.8 release
 
PHP 5.2.8 Released!
[08-Dec-2008]

The PHP development team would like to announce the immediate availability of PHP 5.2.8. This release addresses a regression introduced by 5.2.7 inregard to the magic_quotes functionality, that was broken by an incorrect fix to the filter extension. All users who have upgraded to 5.2.7 are encouraged to upgrade to this release, alternatively you can apply a work-around for the bug by changing "filter.default_flags=0" in php.ini.

Ben 10th December 2008 08:19

Nothing to worry about, since till stated, that ipsconfig does not make use of this function.

(also @Till/Falko): As there is the possiblity to use 3rd party software with the ispconfig's php such as roundcube, phpmyadmin etc. i'd suggest replacing the php package inside the downloadable package and also change the necessary line in the "compile" file.

till 10th December 2008 08:23

You can use the php that comes with ispconfig also for third party packages, but we dont recommend that.

Ben 11th December 2008 10:41

If you don't recommend that, then there should be an update version of ispconfig with the newest php version or you should note anywhere that you do NOT recommend using the possiblity of packages like roundcube / phpmyadmin that are downloadbale also from the official ispconfig page.

till 11th December 2008 10:46

There is a version with the latest php, it is named svn version and you find it on ispconfig.org.

Hans 11th December 2008 15:42

@Till,

I think Ben has right.
Maybe ISPConfig does not make use of the buggy funtions of php 5.2.7, but packages like phpMyAdmin, webmail or any other application, probably might use it. Reason enough to release ISPConfig 2.2.29 i guess. Safety first!

till 11th December 2008 15:48

None of the other packages is affected by this, so there is no need for an update. Nevertheless we will release an update, but there is no need to hurry and realease something untested which may harm more then it helps! The reason is very simple:

magic_quotes_gpc is always off in the php.ini in ispconfig. This is the case for all packages incl. ispconfig. The bug appears only if magic_quotes_gpc is set to on, but thats not the case so neither ISPConfig nor one of the other packages are affected by this bug.

Hans 11th December 2008 20:48

@Till,
Thanks for you explanation! :)

Ben 12th December 2008 09:49

that's just what I wanted to make clear ;)


All times are GMT +2. The time now is 17:01.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.